Ubuntu 14.04 Trusty 64bits

Logs

====== Attempt #1

-----> Fetching repository

Cloning into '/tmp/d20150830-24106-xaywrw/input'...

-----> Restoring cache

-----> Starting packaging process

-----> Fetching buildpack /tmp/buildpacks/sources/pkgr/heroku-buildpack-ruby.git at universal

-----> Fetching buildpack /tmp/buildpacks/sources/heroku/heroku-buildpack-nodejs.git at v58

-----> Node.js app

-----> Running hook: "/tmp/before_hook20150830-14-lxane5.sh"

rm: cannot remove '.': Is a directory

rm: cannot remove '..': Is a directory

rm: cannot remove '.git': Is a directory

-----> Creating runtime environment

NPM_CONFIG_LOGLEVEL=error

NODE_ENV=production

NPM_CONFIG_PRODUCTION=true

NODE_MODULES_CACHE=true

engines.node (package.json): 0.10.*

-----> Installing binaries

engines.npm (package.json): unspecified (use default)

Resolving node version 0.10.* via semver.io...

Downloading and installing node 0.10.40...

Using default npm version: 1.4.28

-----> Restoring cache

Loading 1 from cacheDirectories (default):

- node_modules

-----> Building dependencies

Pruning any extraneous modules

Installing node modules (package.json)

sh: 1: build/scripts/preinstall.sh: not found

> joola@0.8.13 preinstall /tmp/d20150830-14-1x3te3v/opt/joola

> (build/scripts/preinstall.sh true)

> (build/scripts/postinstall.sh true)

sh: 1: build/scripts/postinstall.sh: not found

> npm shrinkwrap

> joola@0.8.13 prepublish /tmp/d20150830-14-1x3te3v/opt/joola

> joola@0.8.13 postinstall /tmp/d20150830-14-1x3te3v/opt/joola

wrote npm-shrinkwrap.json

joola.datastore-elasticsearch@0.0.7 node_modules/joola.datastore-elasticsearch

├── async@0.9.0

└── elasticsearch@4.0.2 (forever-agent@0.6.1, bluebird@2.9.24, chalk@1.0.0, lodash@3.7.0, lodash-compat@3.7.0)

-----> Caching build

Clearing previous node cache

Saving 1 cacheDirectories (default):

- node_modules

-----> Build succeeded!

├── async@1.4.2

├── body-parser@1.13.3

├── bunyan@1.4.0

├── bunyan-format@0.2.1

├── cloneextend@0.0.3

├── config@1.12.0

├── bunyan-loggly@0.0.5

├── coffee-script@1.9.3

├── circular-json@0.1.6

├── connect-restreamer@1.0.2

├── connect@3.4.0

├── compression@1.5.2

├── describe-json@0.0.6

├── deep-diff@0.3.2

├── deep-equal@1.0.0

├── eventemitter2@0.4.14

├── geoip-lite@1.1.6

├── express@4.13.3

├── hiredis@0.2.0

├── htpasswd@2.2.1

├── joola.cli@0.0.8

├── joola.datastore-embedded@0.0.3

├── joola.datastore-mongodb@0.0.15

├── joola.datastore-elasticsearch@0.0.7

├── punt@2.3.0

├── redis@0.12.1

├── kindof@1.0.0

├── socket.io-redis@0.1.4

├── localeval@15.2.3

├── semver@4.3.6

├── traverse@0.6.6

├── node-zookeeper-client@0.2.2

├── notevil@1.0.0

├── repl.history@0.1.3

└── underscore@1.8.3

├── js-yaml@3.3.1

├── socket.io@1.3.6

├── joola.sdk@0.8.7

├── socket.io-client@1.3.6

├── stomp@0.2.1

-----> Verifying package joola_0.8.12-1440958277.e28c25b.trusty_amd64.deb

NEW PACKAGE: joola_0.8.12-1440958277.e28c25b.trusty_amd64.deb (92.16 MiB)

-----> Releasing...

DONE!